Name:           libgnome-media-profiles
Version:        2.91.2
Release:        1%{?dist}
Summary:        GNOME Media Profiles library

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://git.gnome.org/browse/libgnome-media-profiles
Source0:        http://download.gnome.org/sources/%{name}/2.91/%{name}-%{version}.tar.bz2

BuildRequires: gtk3-devel GConf2-devel gstreamer-devel glib2-devel

Requires(pre): GConf2
Requires(post): GConf2
Requires(preun): GConf2


%description
The GNOME Media Profiles library provides prebuilt GStreamer pipelines
for applications aiming to support different sound formats.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
%configure --disable-static --disable-schemas-install
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%find_lang gnome-audio-profiles --with-gnome


%post
/sbin/ldconfig
%gconf_schema_upgrade gnome-media-profiles


%postun
/sbin/ldconfig
%gconf_schema_prepare gnome-media-profiles


%preun  
%gconf_schema_remove gnome-media-profiles


%files -f gnome-audio-profiles.lang
%defattr(-,root,root,-)
%doc COPYING README
%{_bindir}/gnome-audio-profiles-properties
%{_sysconfdir}/gconf/schemas/gnome-media-profiles.schemas
%{_libdir}/*.so.*
%{_datadir}/libgnome-media-profiles

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/libgnome-media-profiles-3.0.pc


%changelog
* Thu Nov 10 2010 Yanko Kaneti <yaneti@declera.com> 2.91.2-1
- First attempt for review.
